# List TTS providers (/docs/api-reference/providers/listTTSProviders)

> Retrieve all Text-to-Speech providers.



**GET** `/providers/tts`

Retrieve all Text-to-Speech providers.

```yaml
operationId: listTTSProviders
responses:
  '200':
    description: TTS providers.
    content:
      application/json:
        schema:
          type: object
          properties:
            tts:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  provider_name:
                    oneOf:
                      - type: string
                      - type: boolean
                    description: Brand of the underlying service (e.g. `azure` for LLMs). `false` when not set.
                  is_premium:
                    type: boolean
                  service_type:
                    type: string
                    enum:
                      - LLM
                      - STT
                      - TTS
                      - other
                  is_active:
                    type: boolean
            total:
              type: integer
        example:
          tts:
            - id: 32
              name: cartesia
              provider_name: false
              is_premium: false
              service_type: TTS
              is_active: true
            - id: 30
              name: google
              provider_name: false
              is_premium: false
              service_type: TTS
              is_active: true
          total: 4
```

**Python SDK**

```python
# List all TTS providers
tts_providers = client.providers.list_tts()
print(tts_providers)
# Returns: {'tts': [...], 'total': 4}
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/providers/tts" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
